<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:item_filters" prefix="item-filter" title_preset="item_filter_list" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
		<td>
			<script type="text/javascript">
				//do not rename - this function is used in default grid for double click!
				function edit() {
					std_edit_item('item-filter', 'item_filters/item_filter_edit');
				}

				var a_toolbar = new ToolBar();

				<inp2:m_RenderElement design="toolbar_button" icon="new_item" title="la_ToolTip_NewItemFilter" short_title="la_ToolTip_Add">
					std_precreate_item('item-filter', 'item_filters/item_filter_edit');
				</inp2:m_RenderElement>

				<inp2:m_RenderElement design="toolbar_button" icon="edit" title="la_ToolTip_Edit" short_title="la_ShortToolTip_Edit">
					edit();
				</inp2:m_RenderElement>

				<inp2:m_RenderElement design="toolbar_button" icon="delete" title="la_ToolTip_Delete">
					std_delete_items('item-filter');
				</inp2:m_RenderElement>

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				<inp2:m_RenderElement design="toolbar_button" icon="approve" title="la_ToolTip_Enable">
					submit_event('item-filter', 'OnMassApprove');
				</inp2:m_RenderElement>

				<inp2:m_RenderElement design="toolbar_button" icon="decline" title="la_ToolTip_Disable">
					submit_event('item-filter', 'OnMassDecline');
				</inp2:m_RenderElement>

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				<inp2:m_RenderElement design="toolbar_button" icon="view" title="la_ToolTip_View">
					show_viewmenu(a_toolbar,'view');
				</inp2:m_RenderElement>

				a_toolbar.Render();
			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="item-filter" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="item-filter" IdField="FilterId" grid="Default"/>
<script type="text/javascript">
	Grids['item-filter'].SetDependantToolbarButtons( new Array('edit', 'delete', 'approve', 'decline') );
</script>

<inp2:m_include t="incs/footer"/>